ProxyBuilder (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.internal.proxy
Class ProxyBuilder

    java.lang.Object
      org.hibernate.engine.jdbc.internal.proxy.ProxyBuilder

    public class ProxyBuilder

extends Object

Centralized builder for proxy instances

Field Summary
`static Class[]` | `CALLABLE_STMNT_PROXY_INTERFACES`
`static Class[]` | `CONNECTION_PROXY_INTERFACES`
`static Class[]` | `METADATA_PROXY_INTERFACES`
`static Class[]` | `PREPARED_STMNT_PROXY_INTERFACES`
`static Class[]` | `RESULTSET_PROXY_INTERFACES`
`static Class[]` | `STMNT_PROXY_INTERFACES`

Constructor Summary
`ProxyBuilder()`

Method Summary
`static CallableStatement` | `buildCallableStatement(String sql, CallableStatement statement, ConnectionProxyHandler connectionProxyHandler, Connection connectionProxy)`
`static Connection` | `buildConnection(LogicalConnectionImplementor logicalConnection)`
`static DatabaseMetaData` | `buildDatabaseMetaData(DatabaseMetaData metaData, ConnectionProxyHandler connectionProxyHandler, Connection connectionProxy)`
`static ResultSet` | `buildImplicitResultSet(ResultSet resultSet, ConnectionProxyHandler connectionProxyHandler, Connection connectionProxy)`
`static ResultSet` | `buildImplicitResultSet(ResultSet resultSet, ConnectionProxyHandler connectionProxyHandler, Connection connectionProxy, Statement sourceStatement)`
`static Statement` | `buildImplicitStatement(Statement statement, ConnectionProxyHandler connectionProxyHandler, Connection connectionProxy)`
`static PreparedStatement` | `buildPreparedStatement(String sql, Statement statement, ConnectionProxyHandler connectionProxyHandler, Connection connectionProxy)`
`static ResultSet` | `buildResultSet(ResultSet resultSet, AbstractStatementProxyHandler statementProxyHandler, Statement statementProxy)`
`static Statement` | `buildStatement(Statement statement, ConnectionProxyHandler connectionProxyHandler, Connection connectionProxy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONNECTION_PROXY_INTERFACES

    public static final Class[] CONNECTION_PROXY_INTERFACES

### STMNT_PROXY_INTERFACES

    public static final Class[] STMNT_PROXY_INTERFACES

### PREPARED_STMNT_PROXY_INTERFACES

    public static final Class[] PREPARED_STMNT_PROXY_INTERFACES

### CALLABLE_STMNT_PROXY_INTERFACES

    public static final Class[] CALLABLE_STMNT_PROXY_INTERFACES

### RESULTSET_PROXY_INTERFACES

    public static final Class[] RESULTSET_PROXY_INTERFACES

### METADATA_PROXY_INTERFACES

    public static final Class[] METADATA_PROXY_INTERFACES

Constructor Detail

### ProxyBuilder

    public ProxyBuilder()

Method Detail

### buildConnection

    public static Connection buildConnection(LogicalConnectionImplementor logicalConnection)

### buildStatement

    public static Statement buildStatement(Statement statement,
                                           ConnectionProxyHandler connectionProxyHandler,
                                           Connection connectionProxy)

### buildImplicitStatement

    public static Statement buildImplicitStatement(Statement statement,
                                                   ConnectionProxyHandler connectionProxyHandler,
                                                   Connection connectionProxy)

### buildPreparedStatement

    public static PreparedStatement buildPreparedStatement(String sql,
                                                           Statement statement,
                                                           ConnectionProxyHandler connectionProxyHandler,
                                                           Connection connectionProxy)

### buildCallableStatement

    public static CallableStatement buildCallableStatement(String sql,
                                                           CallableStatement statement,
                                                           ConnectionProxyHandler connectionProxyHandler,
                                                           Connection connectionProxy)

### buildResultSet

    public static ResultSet buildResultSet(ResultSet resultSet,
                                           AbstractStatementProxyHandler statementProxyHandler,
                                           Statement statementProxy)

### buildImplicitResultSet

    public static ResultSet buildImplicitResultSet(ResultSet resultSet,
                                                   ConnectionProxyHandler connectionProxyHandler,
                                                   Connection connectionProxy)

### buildImplicitResultSet

    public static ResultSet buildImplicitResultSet(ResultSet resultSet,
                                                   ConnectionProxyHandler connectionProxyHandler,
                                                   Connection connectionProxy,
                                                   Statement sourceStatement)

### buildDatabaseMetaData

    public static DatabaseMetaData buildDatabaseMetaData(DatabaseMetaData metaData,
                                                         ConnectionProxyHandler connectionProxyHandler,
                                                         Connection connectionProxy)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.